<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('sewerage_noc', function (Blueprint $table) {
            $table->id();
             $table->string('applicantname')->nullable();
             $table->string('applicantaddress')->nullable();
            $table->string('application_no')->nullable();
            $table->string('service_id')->nullable();
            $table->string('mobileno')->nullable();
            $table->string('zone')->nullable();
            $table->string('propertyno')->nullable();
            $table->string('application_doc')->nullable();
            $table->string('bill_doc')->nullable();
            $table->string('status')->default('0');
            $table->string('ip')->nullable();
            $table->bigInteger('user_id');
             $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sewerage_noc');
    }
};
